import React from 'react'
import { Switch, Route } from "react-router-dom";

import AdminMainPage from './conteiners/adminMainPage/adminMainPage';
import AdminAddEventPage from './conteiners/adminAddEventPage/adminAddEventPage';
import Home from './conteiners/home/Home';
import Login from './conteiners/login/Login';
import RegistrationPage from './conteiners/registrationPage/RegistrationPage';

import AdminAddPhotogalarytPage from "./conteiners/adminPhotogalaryPage/adminPhotogalaryPage"
import Sidebar from './components/sidebar/Sidebar';

export default class Router extends React.Component {
	render() {
		return(
			<div className="container">
			    <Switch>
			        <Route exact path="/" component={Home} />

	                <Route exact path="/races" render={() => (
						<>
							<Sidebar />
							<div className="text-center">
								Races
							</div>
						</>
	                )} />

	                <Route exact path="/result" render={() => (
						<>
							<Sidebar />
							<div className="text-center">
								Result
							</div>
						</>
	                )} />

	                <Route exact path="/gallery" render={() => (
						<>
							<Sidebar />
							<div className= "text-center">
								Gallery
							</div>
						</>
	                )} />

	                <Route exact path="/reviews" render={() => (
						<>
							<Sidebar />
							<div className="text-center">
								Reviews
							</div>
						</>
	                )} />

                    <Route exact path="/login" component={Login} />
                    <Route exact path="/registration" component={RegistrationPage} />
                    
			           
			        <Route exact path = '/admin' component = {AdminMainPage} />
			        <Route exact path = '/admin/add_new_event' component = {AdminAddEventPage} />
			        <Route exact path = '/admin/photogalary' component = {AdminAddPhotogalarytPage} />
			            
			    </Switch>
			</div>
		)
	}
}